Summary:	Unified Chinese True Type font
Name:		fonts-ttf-chinese
Version:	1.2.6
Release:	2mdk

Source0:	ftp://linux.tmtc.edu.tw/pub/arphic/fonts-ttf-chinese.tar.bz2
Source1:	cidinst.gb2312
Source2:	cidunin.gb2312
Source3:	cidinst.big5
Source4:	cidunin.big5
Source5:	http://www.study-area.org/apt/firefly-font/fireflysung-%{version}.tar.bz2
Source6:	cidinst.chinese
Source7:	cidunin.chinese

URL:		http://www.study-area.org/apt/firefly-font/
License:	Arphic Public License / GPL
Group:		System/Fonts/True type
BuildRequires:	freetype-tools
BuildRequires:	fontconfig
BuildArch:	noarch
BuildRoot:	%_tmppath/%name-%version-%release-root
Prereq:		chkfontpath
Prereq:		fontconfig

%description
Chinese True Type font covering both tranditional and simplified chinese,
in Sung font face. It was merged from Sung face fonts donated by
Arphic Technology Co Ltd., both in trad. and simp. Chinese. In addition,
bitmap fonts where embedded into this True Type font for some certain sizes,
done by Firefly et. al.


%package -n fonts-ttf-big5
Summary:	Traditional Chinese True Type fonts
License:	Arphic Public License
Group:		System/Fonts/True type
Prereq:		chkfontpath
Prereq:		fontconfig
# so that an update will install fonts-ttf-chinese
Requires:	fonts-ttf-chinese

%description -n fonts-ttf-big5
Chinese True Type Fonts donated by Arphic Technology Co Ltd, in Kai face,
covering traditional Chinese.

%package -n fonts-ttf-gb2312
Summary:	Simplified Chinese True Type fonts
License:	Arphic Public License
Group:		System/Fonts/True type
Prereq:		chkfontpath
Prereq:		fontconfig
# so that an update will install fonts-ttf-chinese
Requires:	fonts-ttf-chinese

%description -n fonts-ttf-gb2312
Chinese True Type Fonts donated by Arphic Technology Co Ltd, in Kai face,
covering simplified Chinese.


%prep
%setup -q -n fonts-ttf-chinese -a 5 
 
%build
mkdir -p big5-doc && cp arphicpl.txt big5-doc
mkdir -p gb2312-doc && cp arphicpl.txt gb2312-doc

%install
rm -fr %buildroot

install -d %buildroot/%_datadir/fonts/ttf/chinese/
install -d %buildroot/%_datadir/fonts/ttf/big5/
install -d %buildroot/%_datadir/fonts/ttf/gb2312/
install -m 0644 fireflysung-%{version}/*.ttf %buildroot/%_datadir/fonts/ttf/chinese/
install -m 0755 %SOURCE6 %buildroot/%_datadir/fonts/ttf/chinese/cidinst
install -m 0755 %SOURCE7 %buildroot/%_datadir/fonts/ttf/chinese/cidunin
install -m 0644 b*.ttf %buildroot/%_datadir/fonts/ttf/big5/
install -m 0755 %SOURCE3 %buildroot/%_datadir/fonts/ttf/big5/cidinst
install -m 0755 %SOURCE4 %buildroot/%_datadir/fonts/ttf/big5/cidunin
install -m 0644 g*.ttf %buildroot/%_datadir/fonts/ttf/gb2312/
install -m 0755 %SOURCE1 %buildroot/%_datadir/fonts/ttf/gb2312/cidinst
install -m 0755 %SOURCE2 %buildroot/%_datadir/fonts/ttf/gb2312/cidunin
# Link to make Mozilla/GhostScript printing taiwanese web pages
install -d %buildroot/%_datadir/fonts/zh_TW
ln -s /usr/share/fonts/ttf/chinese %buildroot/%_datadir/fonts/zh_TW/TrueType

# fonts.alias to support old X11 names, for compatibility
cat << EOF > %buildroot%_datadir/fonts/ttf/chinese/fonts.alias
! alias to support old font names
"-Arphic Technology Co.-AR PL Mingti2L Big5-medium-r-normal--0-0-0-0-p-0-iso10646-1" "-misc-AR PL New Sung-medium-r-normal--0-0-0-0-p-0-iso10646-1"
"-Arphic Technology Co.-AR PL Mingti2L Big5-medium-r-normal--0-0-0-0-p-0-big5-0" "-misc-AR PL New Sung-medium-r-normal--0-0-0-0-p-0-big5-0"
"-Arphic Technology Co.-AR PL SungtiL GB-medium-r-normal--0-0-0-0-p-0-iso10646-1" "-misc-AR PL New Sung-medium-r-normal--0-0-0-0-p-0-iso10646-1"
"-Arphic Technology Co.-AR PL SungtiL GB-medium-r-normal--0-0-0-0-p-0-gb2312.1980-0" "-misc-AR PL New Sung-medium-r-normal--0-0-0-0-p-0-gb2312.1980-0"
EOF

(
cd %buildroot%_datadir/fonts/ttf/chinese/ 
%_sbindir/ttmkfdir -u > fonts.scale
cp fonts.scale fonts.dir
%_bindir/fc-cache . || touch fonts.cache-1
)

(
cd %buildroot%_datadir/fonts/ttf/big5/ 
%_sbindir/ttmkfdir -u > fonts.scale
cp fonts.scale fonts.dir
%_bindir/fc-cache . || touch fonts.cache-1
)

(
cd %buildroot/%_datadir/fonts/ttf/gb2312/
%_sbindir/ttmkfdir -u > fonts.scale
cp fonts.scale fonts.dir
%_bindir/fc-cache . || touch fonts.cache-1
)

%post
if [ -x %_sbindir/chkfontpath ]; then
   %_sbindir/chkfontpath -q -a %_datadir/fonts/ttf/chinese
   %_datadir/fonts/ttf/chinese/cidinst
else
   echo "You don't have a chkfontpath utility; you will need to manually"
   echo "Install the fonts into your TTF enabled font server"
fi
%{_bindir}/fc-cache %{_datadir}/fonts/ 

%post -n fonts-ttf-big5
if [ -x %_sbindir/chkfontpath ]; then
   %_sbindir/chkfontpath -q -a %_datadir/fonts/ttf/big5
   %_datadir/fonts/ttf/big5/cidinst
else
   echo "You don't have a chkfontpath utility; you will need to manually"
   echo "Install the fonts into your TTF enabled font server"
fi
%{_bindir}/fc-cache %{_datadir}/fonts/ 

%post -n fonts-ttf-gb2312
if [ -x %_sbindir/chkfontpath ]; then
   %_sbindir/chkfontpath -q -a %_datadir/fonts/ttf/gb2312
   %_datadir/fonts/ttf/gb2312/cidinst
else
   echo "You don't have a chkfontpath utility; you will need to manually"
   echo "Install the fonts into your TTF enabled font server"
fi
%{_bindir}/fc-cache %{_datadir}/fonts/ 

%preun
%_datadir/fonts/ttf/chinese/cidunin

%preun -n fonts-ttf-big5
%_datadir/fonts/ttf/big5/cidunin

%preun -n fonts-ttf-gb2312
%_datadir/fonts/ttf/gb2312/cidunin

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   [ -x %_sbindir/chkfontpath ] && %_sbindir/chkfontpath -q -r %_datadir/fonts/ttf/chinese
   %{_bindir}/fc-cache %{_datadir}/fonts/ 
fi

%postun -n fonts-ttf-big5
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   [ -x %_sbindir/chkfontpath ] && %_sbindir/chkfontpath -q -r %_datadir/fonts/ttf/big5
   %{_bindir}/fc-cache %{_datadir}/fonts/ 
fi

%postun -n fonts-ttf-gb2312
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   [ -x %_sbindir/chkfontpath ] && %_sbindir/chkfontpath -q -r %_datadir/fonts/ttf/gb2312
   %{_bindir}/fc-cache %{_datadir}/fonts/ 
fi

%clean
rm -fr %buildroot

%files
%defattr(0644,root,root,0755)
%doc fireflysung-%{version}/[[:upper:]]*
%dir %_datadir/fonts/
%dir %_datadir/fonts/ttf/
%dir %_datadir/fonts/ttf/chinese/
%_datadir/fonts/ttf/chinese/*.ttf
%_datadir/fonts/zh_TW
%attr(0755,root,root) %_datadir/fonts/ttf/chinese/cid*
%config(noreplace) %_datadir/fonts/ttf/chinese/fonts.dir
%config(noreplace) %_datadir/fonts/ttf/chinese/fonts.scale
%ghost %_datadir/fonts/ttf/chinese/fonts.cache-1
%config(noreplace) %_datadir/fonts/ttf/chinese/fonts.alias

%files -n fonts-ttf-big5
%defattr(0644,root,root,0755)
%doc big5-doc/*
%dir %_datadir/fonts/
%dir %_datadir/fonts/ttf/
%dir %_datadir/fonts/ttf/big5/
%_datadir/fonts/ttf/big5/*.ttf
%attr(0755,root,root) %_datadir/fonts/ttf/big5/cid*
%config %_datadir/fonts/ttf/big5/fonts.dir
%config %_datadir/fonts/ttf/big5/fonts.scale
%ghost %_datadir/fonts/ttf/big5/fonts.cache-1

%files -n fonts-ttf-gb2312
%defattr(0644,root,root,0755)
%doc gb2312-doc/*
%dir %_datadir/fonts/
%dir %_datadir/fonts/ttf/
%dir %_datadir/fonts/ttf/gb2312/
%_datadir/fonts/ttf/gb2312/*.ttf
%attr(0755,root,root) %_datadir/fonts/ttf/gb2312/cid*
%config %_datadir/fonts/ttf/gb2312/fonts.dir
%config %_datadir/fonts/ttf/gb2312/fonts.scale
%ghost %_datadir/fonts/ttf/gb2312/fonts.cache-1


%changelog
* Sat Feb 19 2005 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.6-2mdk
- moved _datadir/fonts/zh_TW symlink to fonts-ttf-chinese package
  where it belongs (bug #13508),
- made fonts-ttf-big5 and fonts-ttf-gb2312 require fonts-ttf-chinese,
  so an update will install fonts-ttf-chinese

* Sun Feb 13 2005 Abel Cheung <deaddog@mandrake.org> 1.2.6-1mdk
- Firefly font version 1.2.6
- Mark fontconfig cache files as ghost
- Remove icons -- they should be useless now
- Tidying up description, license etc

* Wed Jan 19 2005 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.0-2mdk
- fixed cdi install scripts (the ghostscript script has directory
  paths hardcoded)

* Fri Jan 07 2005 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.0-1mdk
- new version

* Sat Oct 02 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-21mdk
- added to CID scripts the real postscript names of the ttf fonts

* Fri Mar 14 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-20mdk
- Added link so that fonts are also visible in 
  /usr/share/fonts/zh_TW/TrueType/, so that Mozilla can print taiwanese
  pages.

* Wed Mar 05 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-19mdk
- added *-iso10646-1 lines to use in utf-8 locales

* Tue Feb 18 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-18mdk
- proper use of fc-cache

* Mon Dec 23 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-17mdk
- changed cache files to Xft2 format
- added a ghostscript alias name (used by galeon printing)

* Thu Dec 27 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0-16mdk
- Correct the typo in Alex's script.

* Wed Dec 05 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 1.0-15mdk
- Corrected wrong encodings.dir link
- Add new CID Fontname for Mozilla printing

* Mon Nov 20 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0-14mdk
- Own /usr/share/fonts/ & Co
- Clean spec

* Mon Oct 22 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 1.0-13mdk
- Corrected PS fontname for big5. 
  (MOESung-Light -> MOESung-Regular)

* Thu Jul 26 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 1.0-12mdk
- make the ttf fonts cooperate with gs-cjk.

* Mon Jul 23 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0-11mdk
- BuildRequires:	freetype-tools
- Copyright --> License

* Fri Jun 08 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-10mdk
- added XftCache support
- removed hacked fonts.dir (now it is ttmkfdir role to create them correctly)

* Thu Apr 05 2001 Xming <dxiaoming@mandrakesoft.com> 1.0-9mdk
- Add support for GBK in /usr/share/fonts/ttf/gb2312/font.dir

* Fri Mar 23 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-8mdk
- removed useless stuff in %%post

* Wed Sep 06 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-7mdk
- adapted for the xfs in XFree86 4

* Sun Aug 06 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.0-6mdk
- modified location license file --> usr/doc --> usr/share/doc
- macroszifications
- BM
- Geoff <snailtalk@linux-mandrake.com> use tmppath macro

* Wed Jul  5 2000 dam's <damien@mandrakesoft.com> 1.0-5mdk
- mandrake release

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-4mdk
- fixed wrong group for -gb2312 and typo True Type -> True type

* Wed Mar 22 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-3mdk
- made %%post/%%postun more robust
- new Groups: naming
- removed *.tti, which are now obsolete
* Wed Jan  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0-2mdk
- add a dependency on chkfontpath.

* Tue Dec 07 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- first Mandrake version

